Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 815484 (CVE-2021-32294)

Summary: media-libs/libgig: heap overflow (CVE-2021-32294)
Product: Gentoo Security Reporter: John Helmert III <ajak>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: CONFIRMED ---    
Severity: normal CC: sound
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/drbye78/libgig/issues/1
Whiteboard: B2 [upstream]
Package list:
Runtime testing required: ---

Description John Helmert III gentoo-dev Security 2021-09-30 19:38:37 UTC
CVE-2021-32294:

An issue was discovered in libgig through 20200507. A heap-buffer-overflow exists in the function RIFF::List::GetSubList located in RIFF.cpp. It allows an attacker to cause code Execution.

URL doesn't seem to be the real issue tracker for libgig, and doesn't
seem like this is where development happens anyway, so not sure if
this was effectively reported upstream?